corda / net.corda.flows / ContractUpgradeFlow / Acceptor

# Acceptor

`class Acceptor : Acceptor<Class<out UpgradedContract<ContractState, *>>>`

### Constructors

<init> | `Acceptor(otherSide: Party)`

### Inherited Properties

otherSide | `val otherSide: Party`
progressTracker | `open val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

### Functions

verifyProposal | `fun verifyProposal(proposal: Proposal<Class<out UpgradedContract<ContractState, *>>>): Unit` Check the state change proposal to confirm that it's acceptable to this node. Rules for verification depend on the change proposed, and may further depend on the node itself (for example configuration). The proposal is returned if acceptable, otherwise a StateReplacementException is thrown.

### Inherited Functions

call | `open fun call(): Void?` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.